FormattingInfo Class Reference

Modifies the output of a pattern converter for a specified minimum and maximum width and alignment. More...

Inheritance diagram for FormattingInfo:

## Public Member Functions

| FormattingInfo (const bool leftAlign, const int minLength, const int maxLength)
| Creates new instance. More...
bool | isLeftAligned () const
| Determine if left aligned. More...
int | getMinLength () const
| Get minimum length. More...
int | getMaxLength () const
| Get maximum length. More...
void | format (const int fieldStart, LogString &buffer) const
| Adjust the content of the buffer based on the specified lengths and alignment. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions

static FormattingInfoPtr | getDefault ()
| Gets default instance. More...
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Additional Inherited Members

Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Modifies the output of a pattern converter for a specified minimum and maximum width and alignment.

## Constructor & Destructor Documentation

FormattingInfo | ( | const bool | leftAlign,
|  | const int | minLength,
|  | const int | maxLength
| ) |  |

Creates new instance.

Parameters

  leftAlign | left align if true.
  minLength | minimum length.
  maxLength | maximum length.

## Member Function Documentation

void format | ( | const int | fieldStart,
|  | LogString & | buffer
| ) |  | const

Adjust the content of the buffer based on the specified lengths and alignment.

Parameters

  fieldStart | start of field in buffer.
  buffer | buffer to be modified.

static FormattingInfoPtr getDefault | ( |  | ) |

static

Gets default instance.

Returns
  default instance.

int getMaxLength | ( |  | ) | const

inline

Get maximum length.

Returns
  maximum length.

int getMinLength | ( |  | ) | const

inline

Get minimum length.

Returns
  minimum length.

bool isLeftAligned | ( |  | ) | const

inline

Determine if left aligned.

Returns
  true if left aligned.

The documentation for this class was generated from the following file:

- formattinginfo.h